<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.lv.jtp.deliver.station</name>
<version>0</version>
<engineversion>25</engineversion>
<description>Description</description>
<arguments>
<argument index="1" name="station" type="Var/Station" desc="station" />
<argument index="2" name="tl" type="Var/Ship" desc="tl" />
<argument index="3" name="marker" type="Var/Ship" desc="marker" />
<argument index="4" name="stationtype" type="Var/Station Type" desc="stationtype" />
<argument index="5" name="shipyard" type="Var/Station" desc="shipyard" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$anull&#160;=&#160;</var><var>null</var></line>
<line linenr="002" indent=""><var>skip&#160;if&#160;</var><var>$station&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="003" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="004" indent=""><var>skip&#160;if&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="005" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="006" indent=""><var>skip&#160;if&#160;</var><var>$marker&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="007" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><var>$x&#160;=&#160;</var><var>$marker&#160;-&gt;</var><text>&#160;get&#160;x&#160;position</text></line>
<line linenr="011" indent=""><var>$y&#160;=&#160;</var><var>$marker&#160;-&gt;</var><text>&#160;get&#160;y&#160;position</text></line>
<line linenr="012" indent=""><var>$z&#160;=&#160;</var><var>$marker&#160;-&gt;</var><text>&#160;get&#160;z&#160;position</text></line>
<line linenr="013" indent=""><var>$x&#160;=&#160;</var><var>$x</var><text>&#160;</text><var>-</var><text>&#160;</text><var>3000</var></line>
<line linenr="014" indent=""><var>$y&#160;=&#160;</var><var>$y</var><text>&#160;</text><var>-</var><text>&#160;</text><var>3000</var></line>
<line linenr="015" indent=""><var>$stsec&#160;=&#160;</var><var>$station&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="016" indent=""><var>$tlsec&#160;=&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="017" indent=""><var>$orace&#160;=&#160;</var><var>$station&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="018" indent=""><var>$markersec&#160;=&#160;</var><var>$marker&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="019" indent=""><var>$marker&#160;-&gt;</var><text>&#160;destruct:&#160;show&#160;no&#160;explosion=</text><var>[TRUE]</var></line>
<line linenr="020" indent=""></line>
<line linenr="021" indent=""><var>skip&#160;if&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="022" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="023" indent=""></line>
<line linenr="024" indent=""><var>$sysec&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="025" indent=""></line>
<line linenr="026" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_GET_WARE</var></line>
<line linenr="027" indent=""><text>set&#160;script&#160;command:&#160;</text><var>COMMAND_GET_WARE</var></line>
<line linenr="028" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$shipyard</var></line>
<line linenr="029" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;wanted&#160;ware&#160;to&#160;</text><var>$stationtype</var></line>
<line linenr="030" indent=""></line>
<line linenr="031" interruptable="@" indent=""><var>=&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.movetostation</call><text>&#160;:&#160;</text><text>&#160;station=</text><var>$shipyard</var></line>
<line linenr="032" indent=""></line>
<line linenr="033" indent=""><var>skip&#160;if&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="034" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="035" indent=""></line>
<line linenr="036" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$markersec</var></line>
<line linenr="037" indent=""><var>=&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$stationtype</var></line>
<line linenr="038" indent=""></line>
<line linenr="039" interruptable="@" indent=""><var>=&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.movetoposition</call><text>&#160;:&#160;</text><text>&#160;sector=</text><var>$markersec</var><text>&#160;</text><text>&#160;position&#160;x=</text><var>$x</var><text>&#160;</text><text>&#160;position&#160;y=</text><var>$y</var><text>&#160;</text><text>&#160;position&#160;z=</text><var>$z</var><text>&#160;</text><text>&#160;precision=</text><var>1500</var></line>
<line linenr="040" indent=""></line>
<line linenr="041" indent=""><var>skip&#160;if&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="042" indent="&#160;"><text>return&#160;</text><var>$anull</var></line>
<line linenr="043" indent=""></line>
<line linenr="044" indent=""></line>
<line linenr="045" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_IDLE</var></line>
<line linenr="046" indent=""><text>set&#160;script&#160;command:&#160;</text><var>COMMAND_IDLE</var></line>
<line linenr="047" interruptable="@" indent=""><var>START&#160;</var><var>$tl&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.idle</call><text>&#160;:&#160;</text></line>
<line linenr="048" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$anull</var></line>
<line linenr="049" indent=""><var>$tl&#160;-&gt;</var><text>&#160;set&#160;wanted&#160;ware&#160;to&#160;</text><var>$anull</var></line>
<line linenr="050" indent=""></line>
<line linenr="051" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.lv.jtp.deliver.station" /><sval type="int" val="25" /><sval type="string" val="Description" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="14"><sval type="string" val="station" /><sval type="string" val="tl" /><sval type="string" val="marker" /><sval type="string" val="stationtype" /><sval type="string" val="shipyard" /><sval type="string" val="anull" /><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="z" /><sval type="string" val="stsec" /><sval type="string" val="tlsec" /><sval type="string" val="orace" /><sval type="string" val="markersec" /><sval type="string" val="sysec" /></sval><sval type="array" size="38"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536870137" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536869625" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-536869113" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="740" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="741" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="742" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="3000" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="3000" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="9" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="11" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="12" /></sval><sval type="array" size="5"><sval type="int" val="765" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="-536866041" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="13" /></sval><sval type="array" size="5"><sval type="int" val="524" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="9" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="5"><sval type="int" val="650" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="!move.movetostation" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536863993" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="!move.movetoposition" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="1500" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-536862713" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="5"><sval type="int" val="524" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="17" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="17" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="!move.idle" /><sval type="int" val="-2147483646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="5"><sval type="int" val="650" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="5"><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="station" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="tl" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="marker" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="string" val="stationtype" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="shipyard" /></sval></sval><sval type="array" size="13"><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="24" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
